Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# msghdr Struct Reference

`#include <os_socket.h>`

Collaboration diagram for msghdr:

[legend]
List of all members.

## Public Attributes
sockaddr * | msg_name
| Optional address.
int | msg_namelen
| Size of address.
iovec * | msg_iov
| Scatter/gather array.
int | msg_iovlen
| # elements in msg_iov
caddr_t | msg_accrights
| Access rights sent/received.
int | msg_accrightslen

## Member Data Documentation

caddr_t msghdr::msg_accrights

| Access rights sent/received.

int msghdr::msg_accrightslen

iovec* msghdr::msg_iov

| Scatter/gather array.

int msghdr::msg_iovlen

| # elements in msg_iov

sockaddr* msghdr::msg_name

| Optional address.

int msghdr::msg_namelen

| Size of address.

The documentation for this struct was generated from the following file:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/os_include/sys/os_socket.h